summaryrefslogtreecommitdiffstats
path: root/desktop/qt-recordmydesktop
diff options
context:
space:
mode:
author Michales Michaloudes2010-05-13 00:57:39 +0200
committer Robby Workman2010-05-13 00:57:39 +0200
commit69e70532f5c89c926a3f32777023ea57beebf74c (patch)
treecc7be135e3b9143fda83144f8baf1de8e5842082 /desktop/qt-recordmydesktop
parent7b2dde3a8c24cd5f65cde926c539bab7f680567c (diff)
downloadslackbuilds-69e70532f5c89c926a3f32777023ea57beebf74c.tar.gz
desktop/qt-recordmydesktop: Added to 13.0 repository
Diffstat (limited to 'desktop/qt-recordmydesktop')
-rw-r--r--desktop/qt-recordmydesktop/README2
-rw-r--r--desktop/qt-recordmydesktop/doinst.sh4
-rw-r--r--desktop/qt-recordmydesktop/qt-recordmydesktop.SlackBuild79
-rw-r--r--desktop/qt-recordmydesktop/qt-recordmydesktop.info10
-rw-r--r--desktop/qt-recordmydesktop/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/desktop/qt-recordmydesktop/README b/desktop/qt-recordmydesktop/README
new file mode 100644
index 0000000000..a1e35940b9
--- /dev/null
+++ b/desktop/qt-recordmydesktop/README
@@ -0,0 +1,2 @@
+qt-recordmydesktop is a qt front-end to recordmydesktop.
+This requires recordmydesktop.
diff --git a/desktop/qt-recordmydesktop/doinst.sh b/desktop/qt-recordmydesktop/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/desktop/qt-recordmydesktop/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/desktop/qt-recordmydesktop/qt-recordmydesktop.SlackBuild b/desktop/qt-recordmydesktop/qt-recordmydesktop.SlackBuild
new file mode 100644
index 0000000000..1f5af8c174
--- /dev/null
+++ b/desktop/qt-recordmydesktop/qt-recordmydesktop.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+# Slackware build script for <qt-recordmydesktop>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=qt-recordmydesktop
+VERSION=${VERSION:-0.3.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/qt-recordmydesktop/qt-recordmydesktop.info b/desktop/qt-recordmydesktop/qt-recordmydesktop.info
new file mode 100644
index 0000000000..8850627328
--- /dev/null
+++ b/desktop/qt-recordmydesktop/qt-recordmydesktop.info
@@ -0,0 +1,10 @@
+PRGNAM="qt-recordmydesktop"
+VERSION="0.3.8"
+HOMEPAGE="http://recordmydesktop.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/recordmydesktop/qt-recordmydesktop-0.3.8.tar.gz"
+MD5SUM="bf1525740755615ae172ae27fef68fb5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/desktop/qt-recordmydesktop/slack-desc b/desktop/qt-recordmydesktop/slack-desc
new file mode 100644
index 0000000000..bad92d1ea0
--- /dev/null
+++ b/desktop/qt-recordmydesktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qt-recordmydesktop: qt-recordmydesktop (qt frontend for recordmydesktop)
+qt-recordmydesktop:
+qt-recordmydesktop: This is a front-end to recordmydesktop.
+qt-recordmydesktop:
+qt-recordmydesktop:
+qt-recordmydesktop:
+qt-recordmydesktop:
+qt-recordmydesktop:
+qt-recordmydesktop:
+qt-recordmydesktop:
+qt-recordmydesktop: